Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/tl/udp/udp.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -552,134 +554,139 @@
 				udp_globals.last_used_port = socket->port;
 //			}
-//			fibril_rwlock_write_unlock( & udp_globals.lock );
-//			fibril_rwlock_read_lock( & udp_globals.lock );
+//			fibril_rwlock_write_unlock(&udp_globals.lock);
+//			fibril_rwlock_read_lock(&udp_globals.lock);
 			// might be changed in the meantime
-//		}while( socket->port <= 0 );
-	}
-
-	if( udp_globals.checksum_computing ){
-		if( ERROR_OCCURRED( ip_get_route_req( udp_globals.ip_phone, IPPROTO_UDP, addr, addrlen, & device_id, & ip_header, & headerlen ))){
-			return udp_release_and_return( packet, ERROR_CODE );
+//		}while(socket->port <= 0);
+	}
+
+	if(udp_globals.checksum_computing){
+		if(ERROR_OCCURRED(ip_get_route_req(udp_globals.ip_phone, IPPROTO_UDP, addr, addrlen, &device_id, &ip_header, &headerlen))){
+			return udp_release_and_return(packet, ERROR_CODE);
 		}
 		// get the device packet dimension
-//		ERROR_PROPAGATE( tl_get_ip_packet_dimension( udp_globals.ip_phone, & udp_globals.dimensions, device_id, & packet_dimension ));
+//		ERROR_PROPAGATE(tl_get_ip_packet_dimension(udp_globals.ip_phone, &udp_globals.dimensions, device_id, &packet_dimension));
 	}
 //	}else{
 		// do not ask all the time
-		ERROR_PROPAGATE( ip_packet_size_req( udp_globals.ip_phone, -1, & udp_globals.packet_dimension ));
-		packet_dimension = & udp_globals.packet_dimension;
+		ERROR_PROPAGATE(ip_packet_size_req(udp_globals.ip_phone, -1, &udp_globals.packet_dimension));
+		packet_dimension = &udp_globals.packet_dimension;
 //	}
 
 	// read the first packet fragment
-	result = tl_socket_read_packet_data( udp_globals.net_phone, & packet, UDP_HEADER_SIZE, packet_dimension, addr, addrlen );
-	if( result < 0 ) return result;
-	total_length = ( size_t ) result;
-	if( udp_globals.checksum_computing ){
-		checksum = compute_checksum( 0, packet_get_data( packet ), packet_get_data_length( packet ));
+	result = tl_socket_read_packet_data(udp_globals.net_phone, &packet, UDP_HEADER_SIZE, packet_dimension, addr, addrlen);
+	if(result < 0){
+		return result;
+	}
+	total_length = (size_t) result;
+	if(udp_globals.checksum_computing){
+		checksum = compute_checksum(0, packet_get_data(packet), packet_get_data_length(packet));
 	}else{
 		checksum = 0;
 	}
 	// prefix the udp header
-	header = PACKET_PREFIX( packet, udp_header_t );
-	if( ! header ){
-		return udp_release_and_return( packet, ENOMEM );
-	}
-	bzero( header, sizeof( * header ));
+	header = PACKET_PREFIX(packet, udp_header_t);
+	if(! header){
+		return udp_release_and_return(packet, ENOMEM);
+	}
+	bzero(header, sizeof(*header));
 	// read the rest of the packet fragments
-	for( index = 1; index < fragments; ++ index ){
-		result = tl_socket_read_packet_data( udp_globals.net_phone, & next_packet, 0, packet_dimension, addr, addrlen );
-		if( result < 0 ){
-			return udp_release_and_return( packet, result );
-		}
-		if( ERROR_OCCURRED( pq_add( & packet, next_packet, index, 0 ))){
-			return udp_release_and_return( packet, ERROR_CODE );
-		}
-		total_length += ( size_t ) result;
-		if( udp_globals.checksum_computing ){
-			checksum = compute_checksum( checksum, packet_get_data( next_packet ), packet_get_data_length( next_packet ));
+	for(index = 1; index < fragments; ++ index){
+		result = tl_socket_read_packet_data(udp_globals.net_phone, &next_packet, 0, packet_dimension, addr, addrlen);
+		if(result < 0){
+			return udp_release_and_return(packet, result);
+		}
+		if(ERROR_OCCURRED(pq_add(&packet, next_packet, index, 0))){
+			return udp_release_and_return(packet, ERROR_CODE);
+		}
+		total_length += (size_t) result;
+		if(udp_globals.checksum_computing){
+			checksum = compute_checksum(checksum, packet_get_data(next_packet), packet_get_data_length(next_packet));
 		}
 	}
 	// set the udp header
-	header->source_port = htons(( socket->port > 0 ) ? socket->port : 0 );
-	header->destination_port = htons( dest_port );
-	header->total_length = htons( total_length + sizeof( * header ));
+	header->source_port = htons((socket->port > 0) ? socket->port : 0);
+	header->destination_port = htons(dest_port);
+	header->total_length = htons(total_length + sizeof(*header));
 	header->checksum = 0;
-	if( udp_globals.checksum_computing ){
-//		if( ERROR_OCCURRED( ip_get_route_req( udp_globals.ip_phone, IPPROTO_UDP, addr, addrlen, & device_id, & ip_header, & headerlen ))){
-//			return udp_release_and_return( packet, ERROR_CODE );
-//		}
-		if( ERROR_OCCURRED( ip_client_set_pseudo_header_data_length( ip_header, headerlen, total_length + UDP_HEADER_SIZE))){
-			free( ip_header );
-			return udp_release_and_return( packet, ERROR_CODE );
-		}
-		checksum = compute_checksum( checksum, ip_header, headerlen );
-		checksum = compute_checksum( checksum, ( uint8_t * ) header, sizeof( * header ));
-		header->checksum = htons( flip_checksum( compact_checksum( checksum )));
-		free( ip_header );
+	if(udp_globals.checksum_computing){
+		// update the pseudo header
+		if(ERROR_OCCURRED(ip_client_set_pseudo_header_data_length(ip_header, headerlen, total_length + UDP_HEADER_SIZE))){
+			free(ip_header);
+			return udp_release_and_return(packet, ERROR_CODE);
+		}
+		// finish the checksum computation
+		checksum = compute_checksum(checksum, ip_header, headerlen);
+		checksum = compute_checksum(checksum, (uint8_t *) header, sizeof(*header));
+		header->checksum = htons(flip_checksum(compact_checksum(checksum)));
+		free(ip_header);
 	}else{
 		device_id = DEVICE_INVALID_ID;
 	}
 	// prepare the first packet fragment
-	if( ERROR_OCCURRED( ip_client_prepare_packet( packet, IPPROTO_UDP, 0, 0, 0, 0 ))){
-		return udp_release_and_return( packet, ERROR_CODE );
+	if(ERROR_OCCURRED(ip_client_prepare_packet(packet, IPPROTO_UDP, 0, 0, 0, 0))){
+		return udp_release_and_return(packet, ERROR_CODE);
 	}
 	// send the packet
-	fibril_rwlock_write_unlock( & udp_globals.lock );
-	ip_send_msg( udp_globals.ip_phone, device_id, packet, SERVICE_UDP, 0 );
+	fibril_rwlock_write_unlock(&udp_globals.lock);
+	ip_send_msg(udp_globals.ip_phone, device_id, packet, SERVICE_UDP, 0);
 	return EOK;
 }
 
-int udp_recvfrom_message( socket_cores_ref local_sockets, int socket_id, int flags, size_t * addrlen ){
+int udp_recvfrom_message(socket_cores_ref local_sockets, int socket_id, int flags, size_t * addrlen){
 	ERROR_DECLARE;
 
-	socket_core_ref	socket;
-	int				packet_id;
-	packet_t		packet;
-	udp_header_ref	header;
-	struct sockaddr *	addr;
-	size_t			length;
-	uint8_t *		data;
-	int				result;
+	socket_core_ref socket;
+	int packet_id;
+	packet_t packet;
+	udp_header_ref header;
+	struct sockaddr * addr;
+	size_t length;
+	uint8_t * data;
+	int result;
 
 	// find the socket
-	socket = socket_cores_find( local_sockets, socket_id );
-	if( ! socket ) return ENOTSOCK;
+	socket = socket_cores_find(local_sockets, socket_id);
+	if(! socket){
+		return ENOTSOCK;
+	}
 	// get the next received packet
-	packet_id = dyn_fifo_value( & socket->received );
-	if( packet_id < 0 ) return NO_DATA;
-	ERROR_PROPAGATE( packet_translate( udp_globals.net_phone, & packet, packet_id ));
+	packet_id = dyn_fifo_value(&socket->received);
+	if(packet_id < 0){
+		return NO_DATA;
+	}
+	ERROR_PROPAGATE(packet_translate(udp_globals.net_phone, &packet, packet_id));
 	// get udp header
-	data = packet_get_data( packet );
-	if( ! data ){
-		pq_release( udp_globals.net_phone, packet_id );
+	data = packet_get_data(packet);
+	if(! data){
+		pq_release(udp_globals.net_phone, packet_id);
 		return NO_DATA;
 	}
-	header = ( udp_header_ref ) data;
+	header = (udp_header_ref) data;
 
 	// set the source address port
-	result = packet_get_addr( packet, ( uint8_t ** ) & addr, NULL );
-	if( ERROR_OCCURRED( tl_set_address_port( addr, result, ntohs( header->source_port )))){
-		pq_release( udp_globals.net_phone, packet_id );
+	result = packet_get_addr(packet, (uint8_t **) &addr, NULL);
+	if(ERROR_OCCURRED(tl_set_address_port(addr, result, ntohs(header->source_port)))){
+		pq_release(udp_globals.net_phone, packet_id);
 		return ERROR_CODE;
 	}
-	* addrlen = ( size_t ) result;
+	*addrlen = (size_t) result;
 	// send the source address
-	ERROR_PROPAGATE( data_reply( addr, * addrlen ));
+	ERROR_PROPAGATE(data_reply(addr, * addrlen));
 
 	// trim the header
-	ERROR_PROPAGATE( packet_trim( packet, UDP_HEADER_SIZE, 0 ));
+	ERROR_PROPAGATE(packet_trim(packet, UDP_HEADER_SIZE, 0));
 
 	// reply the packets
-	ERROR_PROPAGATE( socket_reply_packets( packet, & length ));
+	ERROR_PROPAGATE(socket_reply_packets(packet, &length));
 
 	// release the packet
-	dyn_fifo_pop( & socket->received );
-	pq_release( udp_globals.net_phone, packet_get_id( packet ));
+	dyn_fifo_pop(&socket->received);
+	pq_release(udp_globals.net_phone, packet_get_id(packet));
 	// return the total length
-	return ( int ) length;
-}
-
-int	udp_release_and_return( packet_t packet, int result ){
-	pq_release( udp_globals.net_phone, packet_get_id( packet ));
+	return (int) length;
+}
+
+int udp_release_and_return(packet_t packet, int result){
+	pq_release(udp_globals.net_phone, packet_get_id(packet));
 	return result;
 }
